Migrar todos los servidores a PHP5 en 2008

Tweet about this on TwitterShare on Google+Share on FacebookEmail this to someonePrint this page

Leo en el blog de Javier Aroche que ese es el propósito de GoPHP5.org, que en febrero de 2008 la mayoría de servidores estén usando PHP5, o lo que es lo mismo, que se haya invertido la situación actual con respecto a PHP4 y PHP5.

Y es que hoy por hoy y a pesar de que PHP5 lleva años en el mercado, la gran mayoría de proveedores de alojamiento web (hosting) siguen usando PHP4 en sus planes de alojamiento, y en el mejor de los casos ofrecen la posibilidad de PHP5 como opcional, y que no siempre funciona esta opción como debería…

Así que, como es lógico, ante esta situación la mayoría de desarrolladores de aplicaciones basadas en PHP optan por continuar programándolas en PHP4 para que sus usuarios puedan seguir usándolas.

Ya hay algunas aplicaciones de sobra conocidas que han apoyado la iniciativa de GoPHP5, como Drupal y phpMyAdmin, por lo que se supone que para esa fecha pasarán a tener como requisito mínimo PHP5 (aunque ello no quita para que sigan solucionando fallos graves de la versión de PHP4).

Personalmente no entiendo como una aplicación como WordPress, que actualmente tiene dos ramas en desarrollo (la 2.0.x y la 2.x) no opta por migrar la rama 2.x a PHP5 y dejar la 2.0.x (que supuestamente sigue en desarrollo para usuarios con menos recursos) para los que sigan usando PHP4.

Porque es cierto que la mayoría de proveedores de alojamiento web siguen usando PHP4, pero también es cierto que los que ya usan PHP5 suelen ser con diferencia los que mejores prestaciones (y máquinas) ofrecen, no son nada difíciles de encontrar, y no son para nada más caros que los de PHP4.

Así que desde aquí os recomiendo a todos los que tengáis pensando contratar un alojamiento web en breve, que lo hagáis en un servidor que ofrezca PHP5, y si además podéis saber la versión exacta que usan y resulta que es la última publicada (5.2.2) mucho mejor, será una garantía de que usan equipos actuales para prestarnos el servicio. Y además, cualquier aplicación bien programa en PHP4 funcionará perfectamente.

Deja un comentario

Tu dirección de email no será publicada. Campos obligatorios marcados con *